---
title: LockedFile.truncate()
slug: Web/API/LockedFile/truncate
tags:
  - API
  - Files
  - Method
  - Non Standard
  - Reference
  - WebAPI
---
<p>{{APIRef("File System API")}}{{non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>truncate</code> method is used to remove some data within the file.</p>

<p>If the method is called with no argument, the operation removes all the bytes starting at the index set in {{domxref("LockedFile.location")}}.</p>

<p>If the method is called with an argument, the operation removes all the bytes starting at the index corresponding to the parameter and regardless of the value of {{domxref("LockedFile.location")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var request = <em>instanceOfLockedFile</em>.truncate(start);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>start</code> {{optional_inline}}</dt>
 <dd>A number representing the index where to start the operation.</dd>
</dl>

<h3 id="Return">Return</h3>

<p>A {{domxref("FileRequest")}} object to handle the success or failure of the operation.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('FileSystem')}}</td>
   <td>{{Spec2('FileSystem')}}</td>
   <td>Draft proposal</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("LockedFile")}}</li>
</ul>
